<template>
    <z-paging ref="paging" v-model="list" @query="handleQuery">
        <view class="p-30 fx-col gap-30">
            <mbti-list-item v-for="item in list" :item="item"/>
        </view>
    </z-paging>
</template>

<script setup>
import {ref} from 'vue'
import {mbtiRecord} from "@/api/webApi/career-course";
import MbtiListItem from "@/pagesOther/pages/test-center/list/components/mbti-list-item.vue";

const list = ref([])
const paging = ref(null)

const handleQuery = (pageNum, pageSize) => {
    mbtiRecord({pageNum, pageSize})
        .then(res => paging.value.completeByTotal(res.rows, res.total))
        .catch(e => paging.value.complete(false))
}
</script>

<style scoped>

</style>